Serving Hack2 application with the great Mongrel2 server
---------------------------------------------------------

* enumerator enabled, constant memory consumption when enumerator all the way down


How to run
-----------

* install mongrel2
* install GHC
* install cabal\-install

<br />

    cabal update
    cabal install nemesis
    cabal install hack2-handler-mongrel2-http
    cabal install hack2-contrib
    
    git clone https://github.com/nfjinjing/hack2-handler-mongrel2-http.git
    
    cd hack2-handler-mongrel2-http
    
    # load a mongrel config, for more information, see the Nemesis task file
    nemesis load

    # start a mongrel server, port is 6767
    nemesis start
    
    # start a hello world hack2 app using mongrel2 handler
    nemesis run
    

now visit: <http://localhost:6767>, you should see a hello world page.

Monkey fix the Dependency Hell
------------------------------

* add what you need into `hack2-handler-mongrel2-http.cabal` and `cabal install`, this will make sure the correct version of your libraries are pre-linked with mongrel2-http.

Useful getting started resource
-------------------------------

* Read the manual on <http://mongrel2.org>
* [config/test.conf](https://github.com/nfjinjing/hack2-handler-mongrel2-http/blob/master/config/test.conf) sample config, and [test/hello.hs](https://github.com/nfjinjing/hack2-handler-mongrel2-http/blob/master/test/hello.hs) hello world application.
* [The Hack2 spec](https://github.com/nfjinjing/hack2)

